'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _rimraf = require('rimraf');

var _rimraf2 = _interopRequireDefault(_rimraf);

var _core = require('@beemo/core');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class BabelDriver extends _core.Driver {
  constructor(...args) {
    var _temp;

    return _temp = super(...args), this.handleCleanTarget = (event, driver, args, context) => {
      const options = context.yargs;

      if (options.clean && options.outDir) {
        _rimraf2.default.sync(_path2.default.resolve(options.outDir));
      }
    }, _temp;
  }

  bootstrap() {
    this.setMetadata({
      bin: 'babel',
      configName: '.babelrc',
      description: 'Transpile files with Babel.',
      title: 'Babel'
    });

    this.setCommandOptions({
      clean: {
        boolean: true,
        default: true,
        description: 'Clean the target folder'
      }
    });

    this.on('babel.before-execute', this.handleCleanTarget);
  }

}
exports.default = BabelDriver; /**
                                * @copyright   2017, Miles Johnson
                                * @license     https://opensource.org/licenses/MIT
                                * 
                                */